#| -*- Scheme -*-

$Id: ed-ffi.scm,v 1.24 2000/06/22 03:53:02 cph Exp $

Copyright (c) 1988-2000 Massachusetts Institute of Technology

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
|#

;;;; Edwin buffer packaging info

(declare (usual-integrations))

(standard-scheme-find-file-initialization
 '#(
    ("advice"	(runtime advice)
		syntax-table/system-internal)
    ("apply"	(runtime apply)
		syntax-table/system-internal)
    ("apropos"	(runtime apropos)
		syntax-table/system-internal)
    ("arith"	(runtime number)
		syntax-table/system-internal)
    ("bitstr"	()
		syntax-table/system-internal)
    ("blowfish"	()
		syntax-table/system-internal)
    ("boole"	()
		syntax-table/system-internal)
    ("boot"	()
		syntax-table/system-internal)
    ("char"	(runtime character)
		syntax-table/system-internal)
    ("chrset"	(runtime character-set)
		syntax-table/system-internal)
    ("chrsyn"	(runtime char-syntax)
		syntax-table/system-internal)
    ("codwlk"	(runtime scode-walker)
		syntax-table/system-internal)
    ("conpar"	(runtime continuation-parser)
		syntax-table/system-internal)
    ("contin"	(runtime continuation)
		syntax-table/system-internal)
    ("cpoint"	(runtime control-point)
		syntax-table/system-internal)
    ("cpress"	(runtime compress)
		syntax-table/system-internal)
    ("crypto"	(runtime crypto)
		syntax-table/system-internal)
    ("datime"	(runtime date/time)
		syntax-table/system-internal)
    ("dbgcmd"	(runtime debugger-command-loop)
		syntax-table/system-internal)
    ("dbgutl"	(runtime debugger-utilities)
		syntax-table/system-internal)
    ("debug"	(runtime debugger)
		syntax-table/system-internal)
    ("defstr"	(runtime defstruct)
		syntax-table/system-internal)
    ("dosdir"	(runtime directory)
		syntax-table/system-internal)
    ("dosprm"	()
		syntax-table/system-internal)
    ("dosproc"	()
		syntax-table/system-internal)
    ("dospth"	(runtime pathname dos)
		syntax-table/system-internal)
    ("dragon4"	(runtime number)
		syntax-table/system-internal)
    ("emacs"	(runtime emacs-interface)
		syntax-table/system-internal)
    ("equals"	()
		syntax-table/system-internal)
    ("error"	(runtime error-handler)
		syntax-table/system-internal)
    ("events"	(runtime event-distributor)
		syntax-table/system-internal)
    ("fileio"	(runtime file-i/o-port)
		syntax-table/system-internal)
    ("fixart"	()
		syntax-table/system-internal)
    ("format"	(runtime format)
		syntax-table/system-internal)
    ("framex"	(runtime debugging-info)
		syntax-table/system-internal)
    ("gc"	(runtime garbage-collector)
		syntax-table/system-internal)
    ("gcdemn"	(runtime gc-daemons)
		syntax-table/system-internal)
    ("gcfinal"	(runtime gc-finalizer)
		syntax-table/system-internal)
    ("gcnote"	(runtime gc-notification)
		syntax-table/system-internal)
    ("gcstat"	(runtime gc-statistics)
		syntax-table/system-internal)
    ("gdatab"	(runtime global-database)
		syntax-table/system-internal)
    ("gdbm"	(runtime gdbm)
		syntax-table/system-internal)
    ("gencache"	(runtime generic-procedure)
		syntax-table/system-internal)
    ("geneqht"	(runtime generic-procedure)
		syntax-table/system-internal)
    ("generic"	(runtime generic-procedure)
		syntax-table/system-internal)
    ("genio"	(runtime generic-i/o-port)
		syntax-table/system-internal)
    ("genmult"	(runtime generic-procedure multiplexer)
		syntax-table/system-internal)
    ("gensym"	(runtime gensym)
		syntax-table/system-internal)
    ("gentag"	(runtime generic-procedure)
		syntax-table/system-internal)
    ("global"	()
		syntax-table/system-internal)
    ("graphics"	(runtime graphics)
		syntax-table/system-internal)
    ("hash"	(runtime hash)
		syntax-table/system-internal)
    ("hashtb"	(runtime hash-table)
		syntax-table/system-internal)
    ("histry"	(runtime history)
		syntax-table/system-internal)
    ("illdef"	(runtime illegal-definitions)
		syntax-table/system-internal)
    ("infstr"	(runtime compiler-info)
		syntax-table/system-internal)
    ("infutl"	(runtime compiler-info)
		syntax-table/system-internal)
    ("input"	(runtime input-port)
		syntax-table/system-internal)
    ("intrpt"	(runtime interrupt-handler)
		syntax-table/system-internal)
    ("io"	(runtime primitive-io)
		syntax-table/system-internal)
    ("krypt"	(runtime krypt)
		syntax-table/system-internal)
    ("kryptdum"	(runtime krypt)
		syntax-table/system-internal)
    ("lambda"	(runtime lambda-abstraction)
		syntax-table/system-internal)
    ("lambdx"	()
		syntax-table/system-internal)
    ("list"	(runtime list)
		syntax-table/system-internal)
    ("load"	(runtime load)
		syntax-table/system-internal)
    ("macros"	(runtime macros)
		syntax-table/system-internal)
    ("mime-codec" (runtime mime-codec)
		syntax-table/system-internal)
    ("msort"	()
		syntax-table/system-internal)
    ("ntprm"	()
		syntax-table/system-internal)
    ("numint"	(runtime number interface)
		syntax-table/system-internal)
    ("numpar"	(runtime number-parser)
		syntax-table/system-internal)
    ("option"	(runtime options)
		syntax-table/system-internal)
    ("ordvec"	(runtime ordered-vector)
		syntax-table/system-internal)
    ("os2ctype"	(runtime os2-graphics)
		syntax-table/system-internal)
    ("os2dir"	(runtime directory)
		syntax-table/system-internal)
    ("os2graph"	(runtime os2-graphics)
		syntax-table/system-internal)
    ("os2prm"	()
		syntax-table/system-internal)
    ("os2winp"	(runtime os2-window-primitives)
		syntax-table/system-internal)
    ("output"	(runtime output-port)
		syntax-table/system-internal)
    ("packag"	(package)
		syntax-table/system-internal)
    ("parse"	(runtime parser)
		syntax-table/system-internal)
    ("partab"	(runtime parser-table)
		syntax-table/system-internal)
    ("pathnm"	(runtime pathname)
		syntax-table/system-internal)
    ("poplat"	(runtime population)
		syntax-table/system-internal)
    ("port"	(runtime port)
		syntax-table/system-internal)
    ("pp"	(runtime pretty-printer)
		syntax-table/system-internal)
    ("prgcop"	(runtime program-copier)
		syntax-table/system-internal)
    ("process"	(runtime subprocess)
		syntax-table/system-internal)
    ("prop1d"	(runtime 1d-property)
		syntax-table/system-internal)
    ("prop2d"	(runtime 2D-property)
		syntax-table/system-internal)
    ("qsort"	()
		syntax-table/system-internal)
    ("queue"	()
		syntax-table/system-internal)
    ("random"	(runtime random-number)
		syntax-table/system-internal)
    ("rbtree"	(runtime rb-tree)
		syntax-table/system-internal)
    ("record"	(runtime record)
		syntax-table/system-internal)
    ("recslot"	(runtime record-slot-access)
		syntax-table/system-internal)
    ("regexp"	(runtime regular-expression)
		syntax-table/system-internal)
    ("rep"	(runtime rep)
		syntax-table/system-internal)
    ("rgxcmp"	(runtime regular-expression-compiler)
		syntax-table/system-internal)
    ("savres"	(runtime save/restore)
		syntax-table/system-internal)
    ("scan"	(runtime scode-scan)
		syntax-table/system-internal)
    ("scode"	(runtime scode)
		syntax-table/system-internal)
    ("scomb"	(runtime scode-combinator)
		syntax-table/system-internal)
    ("sdata"	(runtime scode-data)
		syntax-table/system-internal)
    ("sfile"	()
		syntax-table/system-internal)
    ("socket"	(runtime socket)
		syntax-table/system-internal)
    ("starbase"	(runtime starbase-graphics)
		syntax-table/system-internal)
    ("stream"	(runtime stream)
		syntax-table/system-internal)
    ("string"	(runtime string)
		syntax-table/system-internal)
    ("strnin"	(runtime string-input)
		syntax-table/system-internal)
    ("strott"	(runtime truncated-string-output)
		syntax-table/system-internal)
    ("strout"	(runtime string-output)
		syntax-table/system-internal)
    ("symbol"	()
		syntax-table/system-internal)
    ("syncproc"	(runtime synchronous-subprocess)
		syntax-table/system-internal)
    ("syntab"	(runtime syntax-table)
		syntax-table/system-internal)
    ("syntax"	(runtime syntaxer)
		syntax-table/system-internal)
    ("sysclk"	(runtime system-clock)
		syntax-table/system-internal)
    ("sysmac"	(runtime system-macros)
		syntax-table/system-internal)
    ("system"	(runtime system)
		syntax-table/system-internal)
    ("thread"	(runtime thread)
		syntax-table/system-internal)
    ("tscript"	(runtime transcript)
		syntax-table/system-internal)
    ("ttyio"	(runtime console-i/o-port)
		syntax-table/system-internal)
    ("tvector"	(runtime tagged-vector)
		syntax-table/system-internal)
    ("udata"	()
		syntax-table/system-internal)
    ("uenvir"	(runtime environment)
		syntax-table/system-internal)
    ("uerror"	(runtime microcode-errors)
		syntax-table/system-internal)
    ("unpars"	(runtime unparser)
		syntax-table/system-internal)
    ("unsyn"	(runtime unsyntaxer)
		syntax-table/system-internal)
    ("unxdir"	(runtime directory)
		syntax-table/system-internal)
    ("unxprm"	()
		syntax-table/system-internal)
    ("unxpth"	(runtime pathname unix)
		syntax-table/system-internal)
    ("uproc"	(runtime procedure)
		syntax-table/system-internal)
    ("urtrap"	(runtime reference-trap)
		syntax-table/system-internal)
    ("usrint"	(runtime user-interface)
		syntax-table/system-internal)
    ("utabs"	(runtime microcode-tables)
		syntax-table/system-internal)
    ("vector"	()
		syntax-table/system-internal)
    ("version"	(runtime)
		syntax-table/system-internal)
    ("where"	(runtime environment-inspector)
		syntax-table/system-internal)
    ("wind"	(runtime state-space)
		syntax-table/system-internal)
    ("wrkdir"	(runtime working-directory)
		syntax-table/system-internal)
    ("wttree"	(runtime wt-tree)
		syntax-table/system-internal)
    ("x11graph"	(runtime X-graphics)
		syntax-table/system-internal)
    ("xeval"	(runtime extended-scode-eval)
		syntax-table/system-internal)
    ("ystep"	(runtime stepper)
		syntax-table/system-internal)))